# encoding: utf-8

require 'thor'

require_relative './cli/github'
require_relative './cli/jenkins'
require_relative './cli/staging'
require_relative './cli/tools'

module Napkin
  class CLI < Thor
    desc 'github', 'query github api'
    subcommand 'github', Github

    desc 'jenkins', 'manage a jenkins instance'
    subcommand 'jenkins', Jenkins

    desc 'staging', 'manage the staging (branch) environment'
    subcommand 'staging', Staging

    desc 'tools', 'install and configure tools for builds'
    subcommand 'tools', Tools
  end
end
